#!/usr/bin/perl
#

use Getopt::Long;

#my $notificationtype = 'NotificationType-test';
#my @servicedesc      = 'ServiceDesc-test';
#my @hostalias        = 'HostAlias-test';
#my $hostaddress      = 'HostAddress-test';
#my $servicestate     = 'ServiceState-test';
#my @datetime         = 'DateTime-test';
#my @output           = 'OutPut-test';
#my $contactemail     = 'ContactEmail-test';
#my $hostname         = 'Hostname-test';

GetOptions ("notificationtype=s"   => \$notificationtype,
	    "notificationnumber=s" => \$notificationnumber,
	    "servicedesc=s"        => \$servicedesc,
	    "serviceduration=s"    => \@serviceduration,
	    "hostalias=s"          => \@hostalias,
	    "hostaddress=s"        => \$hostaddress,
	    "servicestate=s"       => \$servicestate,
	    "datetime=s"           => \@datetime,
	    "output=s"             => \@output,
	    "contactemail=s"       => \$contactemail,
	    "serviceackauthor:s"   => \$serviceackauthor,
	    "serviceackcomment:s"  => \@serviceackcomment,
	    "hostname=s"           => \$hostname);             


my $servicestateinit = 
    ($servicestate eq 'WARNING')  ? "W" :
    ($servicestate eq 'CRITICAL') ? "C" :
    ($servicestate eq 'OK')       ? "R" :
    "U";

my $subject =
    ($notificationtype eq "ACKNOWLEDGEMENT") ? "Ack - $servicedesc ($hostname)" :
    ($notificationtype eq "RECOVERY")        ? "R - $servicedesc ($hostname)" :
    "$servicestateinit - $servicedesc ($hostname)";

#my $sendmail = "/usr/sbin/sendmail -oi -t -odq";
my $sendmail = "/usr/sbin/sendmail -oi -t";

open(SENDMAIL, "| $sendmail") or die "Cannot open $sendmail: $!";
print SENDMAIL << "EOF";
To:  $contactemail
From: $hostname <nagios\@ultimatebet.com>
Subject: $subject

***** Nagios  *****

$notificationtype alert

Date/Time: @datetime

Service: $servicedesc
Host: @hostalias
Address: $hostaddress
State: $servicestate
Duration: @serviceduration (email #$notificationnumber)

Additional Info:
@output

EOF

chomp $serviceackauthor;
if (length($serviceackauthor)) {
    print SENDMAIL << "EOF";
$serviceackauthor says:  "@serviceackcomment"

EOF
}

close(SENDMAIL);


exit;    
#
#/usr/bin/printf "%b" "***** Nagios  *****\n\nNotification Type: $NOTIFICATIONTYPE$\n\nService: $SERVICEDESC$\nHost: $HOSTALIAS$\nAddress: $HOSTADDRESS$\nState: $SERVICESTATE$\n\nDate/Time: $DATETIME$\n\nAdditional Info:\n\n$OUTPUT$" | /bin/mail -s "** $NOTIFICATIONTYPE$ alert - $HOSTALIAS$/$SERVICEDESC$ is $SERVICESTATE$ **" $CONTACTEMAIL$



# spawnemail --notificationtype="$NOTIFICATIONTYPE$" --servicedesc="$SERVICEDESC$" --hostalias="$HOSTALIAS$" --hostaddress="$HOSTADDRESS$" --servicestate="$SERVICESTATE$" --datetime="$DATETIME$" --output="$OUTPUT$" 

